function c = stumpC(z) 
% evaluates the Stumpff function C(z) 
%-------------------------------------------------------------------- 
% 
% This function evaluates the Stumpff function C(z) according 
% to Equation 3.50. 
% 
% z - input argument 
% c - value of C(z) 
% 
% User M-functions required: none 
% ------------------------------------------------------------ 
%   This .m file was from Appendix D of the book: 
%       <Orbit Mechanics for engineering Students> (Howard D. Curtis) 
%   You could get appendix D from: http://books.elsevier.com/companions 
% ------------------------------------------------------------ 
%   Last Edit by:           Li yunfei   2008/07/31 
% ------------------------------------------------------------ 
 
if z > 0 
    c = (1 - cos(sqrt(z)))/z; 
elseif z < 0 
    c = (cosh(sqrt(-z)) - 1)/(-z); 
else 
    c = 1/2; 
end 
%--------------------------------------------------------------------

