function s = stumpS(z) 
% evaluates the Stumpff function S(z) 
%-------------------------------------------------------------------- 
% 
% This function evaluates the Stumpff function S(z) according 
% to Equation 3.49. 
% 
% z - input argument 
% s - value of S(z) 
% 
% User M-functions required: none 
% ------------------------------------------------------------ 
%   This .m file was from Appendix D of the book: 
%       <Orbit Mechanics for engineering Students> (Howard D. Curtis) 
%   You could get appendix D from: http://books.elsevier.com/companions 
% ------------------------------------------------------------ 
%   Last Edit by:           Li yunfei   2008/07/31 
% ------------------------------------------------------------ 
 
if z > 0 
    s = (sqrt(z) - sin(sqrt(z)))/(sqrt(z))^3; 
elseif z < 0 
    s = (sinh(sqrt(-z)) - sqrt(-z))/(sqrt(-z))^3; 
else 
    s = 1/6; 
end 
